TreeRouter
HomeModelsDocsBlog
中文Sign inGet started
TreeRouter

Cut out the middlemen — connect directly to the world’s best LLMs

A first-party LLM API gateway. Highly competitive pricing, millisecond-level response, and high availability across every node — built to scale AI workloads economically.

All systems operationalISO 27001 certified

Resources

  • Models
  • Integration guide

Help & support

  • Privacy policy
  • Terms of service

© 2026 TreeRouter · Enterprise LLM API gateway | All rights reserved

Back to all models

Vertex

gemini-2.5-flash-preview-04-17

Gemini 2.5 Flash Preview 04-17 是由 google-vertex 提供的人工智能模型。

Vendor

Vertex

Category

Large Language Model API

Pricing

Input price / 1M tokens

$0.300

Output price / 1M tokens

$7.00

Supported endpoints

geminiopenai

Quick start

OpenAI-compatible — just change base_url to treeRouter to use this model:

curl https://treerouter.com/v1/chat/completions \
  -H "Authorization: Bearer $TREEROUTER_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "gemini-2.5-flash-preview-04-17",
    "messages": [{"role": "user", "content": "Hello"}]
  }'